Summary: Graphically show informative messages on X root window.
Name: Xmsgd
Version: 0.6.3
Release: 1
Group: Applications/X11
Copyright: GPL
Url: http://xmsgd.sourceforge.net/
Source: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
X Message Daemon is a background program which displays simple text-based
messages on your X display. You can choose parameters such as color, font,
icon, and duration. It also has a frontend Perl daemon and client.

Authors:
--------
    Thomas Vander Stichele <thomas@apestaart.org>

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$RPM_BUILD_ROOT/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make install

%clean
rm -r $RPM_BUILD_ROOT

%post
echo "killing previous versions if they're still running ..."
killall -q Xmsgd
killall -q msgd.pl
killall -q msgclient.pl
killall -q msgmaild.pl
echo trying out Xmsgd ...
Xmsgd
msgd.pl
echo "music Xmsgd works" > %{_datadir}/Xmsgd/msgd.fifo
sleep 2
killall msgd.pl
killall Xmsgd

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPYING INSTALL README TODO
%config %{_datadir}/Xmsgd/etc/msgmaild.conf
%{_bindir}/Xmsgd
%{_bindir}/msgd.pl
%{_bindir}/msgclient.pl
%{_bindir}/msgmaild.pl
%{_datadir}/Xmsgd/Xmsgd.fifo
%{_datadir}/Xmsgd/msgd.fifo
%{_datadir}/Xmsgd/pixmaps/*
%{_libdir}/libXmsg.*
%changelog
* Tue Aug 07 2001 Thomas Vander Stichele <thomas@apestaart.org>
- Changes for the 6.3 release
* Fri Jul 13 2001 Christian W. Zuckschwerdt <zany@triq.net>
- Initial Release

